.input-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    align-self: stretch;

    /* Figma to react plugin */
    justify-content: flex-start;

}

.with-error {
    gap: 10px;
    height: 93px;
}

.input-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 6px;
    align-self: stretch;
}

.input-label {
    color: var(--gray-1, #252525);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
}

.input {
    display: inline-flex;
    height: 48px;
    padding: 17px 16px;
    align-items: center;
    gap: 10px;
    align-self: stretch;

    border-radius: 8px;
    box-sizing: border-box;
    border: 1.5px solid var(--stroke-1, #b1b1b1);
}

.success-icon::after {
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    z-index: 10000;
    background: url("/Success.svg") no-repeat;
}

.input-error {
    color: #cf4545;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;

    line-height: 15px;
}

.input::placeholder {
    color: var(--gray-5, #B1B1B1);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 19px;
}

.error-placeholder::placeholder {
    color: #cf4545;
}

.input:hover {
    border-color: var(--secondary-text);
    color: var(--secondary-text);
}

.input:hover::placeholder {
    color: var(--secondary-text);
}

/* Visibility icon */

.input::after {
    position: absolute;
    right: 16px;
    bottom: 32px;
    content: "";
    width: 24px;
    height: 24px;
    background: white;
    background: url("/Eye.svg") no-repeat;
}

.after-error::before {
    bottom: 60px;
}

.visible::before {
    background: url("/NoEye.svg") no-repeat;
}
